Update Queue
curl --request PATCH \
--url https://api.duvo.ai/v2/queues/{queue_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.duvo.ai/v2/queues/{queue_id}"
payload = {
"name": "<string>",
"description": "<string>",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
folder_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.duvo.ai/v2/queues/{queue_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"queue": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"description": "<string>",
"folder_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "<string>",
"has_approvals": true,
"automation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"team_id": "<string>",
"created_by": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
}
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Queues
Update Queue
Update a queue.
PATCH
/
v2
/
queues
/
{queue_id}
Update Queue
Authorizations
API key authentication. Get your API key from the Duvo dashboard.
Path Parameters
The queue's unique identifier
Body
application/json
New queue name. A standalone queue's name must be unique within the team, and a queue inside an automation's name must be unique within that automation. Queue names are not versioned, so this is the canonical name on any Automations workspace team, with or without revisions. A revision carrying a per-revision name override applies it over this one when that revision is activated.
Required string length:
1 - 100New description, or null to clear.
Maximum string length:
500New folder id, or null to move to the root.
Response
Default Response
Show child attributes
Show child attributes
Was this page helpful?